OmegaSharpeRatio {PerformanceAnalytics} | R Documentation

## Omega-Sharpe ratio of the return distribution

### Description

The Omega-Sharpe ratio is a conversion of the omega ratio to a ranking statistic in familiar form to the Sharpe ratio.

### Usage

    OmegaSharpeRatio(R, MAR = 0, ...)

### Arguments

`R` | an xts, vector, matrix, data frame, timeSeries or zoo object of asset returns
`MAR` | Minimum Acceptable Return, in the same periodicity as your returns
`...` | any other passthru parameters

### Details

To calculate the Omega-Sharpe ration we subtract the target (or Minimum Acceptable Returns (MAR)) return from the portfolio return and we divide it by the opposite of the Downside Deviation.

OmegaSharpeRatio(R,MAR) = (Rp - Rt) / -DownsidePotential(R,MAR)

where n is the number of observations of the entire series

### Author(s)

Matthieu Lestel

### References

Carl Bacon, Practical portfolio performance measurement and attribution, second edition 2008, p.95

### Examples

    data(portfolio_bacon)
    MAR = 0.005
    print(OmegaSharpeRatio(portfolio_bacon[,1], MAR)) #expected 0.29

    MAR = 0
    data(managers)
    print(OmegaSharpeRatio(managers['1996'], MAR))
    print(OmegaSharpeRatio(managers['1996',1], MAR)) #expected 3.60

[Package PerformanceAnalytics version 1.5.3 Index]